Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Retrieves the list of credentials

Request

Security
Bearer
Query
locationstring

Optional location. Send in the location to retrieve only credentials with that location.

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/credentials?location=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The list of credentials

Bodyapplication/jsonArray [
idinteger(int32)
usernamestring or null
passwordstring or null
locationstring or null
dateModifiedstring(date-time)
]
Response
application/json
[ { "id": 0, "username": "string", "password": "string", "location": "string", "dateModified": "2019-08-24T14:15:22Z" } ]

Creates a new credential

Request

Security
Bearer
Body
idinteger(int32)
usernamestring or null
passwordstring or null
locationstring or null
dateModifiedstring(date-time)
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/credentials' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "id": 0,
    "username": "string",
    "password": "string",
    "location": "string",
    "dateModified": "2019-08-24T14:15:22Z"
  }'

Responses

The created credential

Bodyapplication/json
idinteger(int32)
usernamestring or null
passwordstring or null
locationstring or null
dateModifiedstring(date-time)
Response
application/json
{ "id": 0, "username": "string", "password": "string", "location": "string", "dateModified": "2019-08-24T14:15:22Z" }

Update a credential

Request

Security
Bearer
Bodyapplication/json
idinteger(int32)
usernamestring or null
passwordstring or null
locationstring or null
dateModifiedstring(date-time)
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/credentials' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": 0,
    "username": "string",
    "password": "string",
    "location": "string",
    "dateModified": "2019-08-24T14:15:22Z"
  }'

Responses

The credential was updated successfully

Response
No content

Retrieves the credential

Request

Security
Bearer
Path
idinteger(int32)required

The id for the credential

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/credentials/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The credential

Bodyapplication/json
idinteger(int32)
usernamestring or null
passwordstring or null
locationstring or null
dateModifiedstring(date-time)
Response
application/json
{ "id": 0, "username": "string", "password": "string", "location": "string", "dateModified": "2019-08-24T14:15:22Z" }

Delete the credential

Request

Security
Bearer
Path
idinteger(int32)required

The id for the credential

curl -i -X DELETE \
  'http://{{your_prep_ip_address}}/api/v1/credentials/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The credential was removed successfully

Response
No content

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations